package com.ljump.sdk.common;

import java.net.URISyntaxException;

import junit.framework.TestCase;

import com.ljump.sdk.server.connection.ILJumpServerConnection;
import com.ljump.sdk.server.connection.LJumpServerConnectionFactory;

/**
 * The base test case class extended by all junits
 * 
 * <br/><br/>
 * <table border="1">
 * 	<tr>
 * 	<th width="10%">Date (DD/MM/YYYY)</th>
 * 	<th width="10%">Author</th>
 * 	<th align="left">Description</th>
 * 	</tr>
 * 
 * 	<tr>
 * 	<td>Sep 18, 2010</td>
 * 	<td>Eclipse Inertia</td>
 * 	<td>Initial Creation</td>
 * 	</tr>
 * </table>
 */
public class LJumpBaseTestCase extends TestCase {

	private String baseUrl = "http://ec2-184-73-97-221.compute-1.amazonaws.com";
	private String username = "demo@longjump.com";
	private String password = "sales2010";
	private String libDirectory = "C:/temp/libraries";
	
	protected ILJumpServerConnection createConnection() throws URISyntaxException
	{
		Stub_LJumpProject project = new Stub_LJumpProject(getBaseUrl(), getUsername(), getPassword(), getLibDirectory());
		return LJumpServerConnectionFactory.getConnection(project);
	}

	/**
	 * @return the baseUrl
	 */
	public String getBaseUrl() {
		return baseUrl;
	}

	/**
	 * @param baseUrl the baseUrl to set
	 */
	public void setBaseUrl(String baseUrl) {
		this.baseUrl = baseUrl;
	}

	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @param username the username to set
	 */
	public void setUsername(String username) {
		this.username = username;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return the libDirectory
	 */
	public String getLibDirectory() {
		return libDirectory;
	}

	/**
	 * @param libDirectory the libDirectory to set
	 */
	public void setLibDirectory(String libDirectory) {
		this.libDirectory = libDirectory;
	}
}
