package com.ljump.sdk.common;

import com.ljump.sdk.server.common.LJumpStatusEnum;
import com.ljump.sdk.server.connection.ILJumpEditableResource;

/**
 * Abstract common class extended by unit tests created
 * for fetching objects
 * 
 * <br/><br/>
 * <table border="1">
 * 	<tr>
 * 	<th width="10%">Date (DD/MM/YYYY)</th>
 * 	<th width="10%">Author</th>
 * 	<th align="left">Description</th>
 * 	</tr>
 * 
 * 	<tr>
 * 	<td>Sep 18, 2010</td>
 * 	<td>Eclipse Inertia</td>
 * 	<td>Initial Creation</td>
 * 	</tr>
 * </table>
 */
public abstract class TestLJumpFetch extends LJumpBaseTestCase{

	
    public void checkResponse(LJumpStatusEnum status, ILJumpEditableResource<?>[] model) throws Exception {
				
    	assertEquals(LJumpStatusEnum.SUCCESS, status);
		assertNotNull(model);
		assertTrue(model.length > 0);
		
		for (ILJumpEditableResource<?> editableResource: model) {
			
			assertNotNull(editableResource);
			Object obj = editableResource.getJAXBModel();
			assertNotNull(obj);				
		}
		
    }
}
