package com.ljump.sdk.server.tests;

import java.io.File;

import org.junit.Test;

import com.ljump.sdk.common.LJumpBaseTestCase;
import com.ljump.sdk.server.common.LJumpStatusEnum;

/**
 * JUnit for fetching libraries from the server
 * 
 * <br/><br/>
 * <table border="1">
 * 	<tr>
 * 	<th width="10%">Date (DD/MM/YYYY)</th>
 * 	<th width="10%">Author</th>
 * 	<th align="left">Description</th>
 * 	</tr>
 * 
 * 	<tr>
 * 	<td>Sep 19, 2010</td>
 * 	<td>Eclipse Inertia</td>
 * 	<td>Initial Creation</td>
 * 	</tr>
 * </table>
 */
public class TestLJumpFetchLibraries extends LJumpBaseTestCase {
	
	@Override
	protected void setUp() throws Exception {

		super.setUp();
		
		// Delete everything under the library director
		File lib = new File (getLibDirectory());
		File[] children = lib.listFiles();
		for (File child: children) {
			child.delete();
		}
	}
	
	@Test
    public void testFetchClass() throws Exception {
	
		LJumpStatusEnum response = createConnection().fetchLibraries();
		assertEquals(LJumpStatusEnum.SUCCESS, response);
		
		// Check to make sure there are two files under the lib directory
		final int EXPECTED_FILES = 2;
		File lib = new File (getLibDirectory());
		File[] children = lib.listFiles();
		assertEquals(EXPECTED_FILES, children.length);
    } 
}
