package com.ljump.sdk.server.tests;
import org.junit.Test;

import com.ljump.sdk.common.LJumpBaseTestCase;
import com.ljump.sdk.server.common.LJumpStatusEnum;

/**
 * Test case for login server
 * 
 * <br/><br/>
 * <table border="1">
 * 	<tr>
 * 	<th width="10%">Date (DD/MM/YYYY)</th>
 * 	<th width="10%">Author</th>
 * 	<th align="left">Description</th>
 * 	</tr>
 * 
 * 	<tr>
 * 	<td>Sep 16, 2010</td>
 * 	<td>Eclipse Inertia</td>
 * 	<td>Initial Creation</td>
 * 	</tr>
 * </table>
 */
public class TestLJumpLogin extends LJumpBaseTestCase {
	

	@Test
    public void testLoginSuccess() throws Exception {
	
		LJumpStatusEnum status = createConnection().login();
		assertEquals(LJumpStatusEnum.SUCCESS, status);		
    }
	
	
	@Test
    public void testLoginInvalidPassword() throws Exception {
		
		setPassword("invalid");		
		LJumpStatusEnum status = createConnection().login();
		assertEquals(LJumpStatusEnum.UNAUTHORIZED, status);
    }
}
