package com.ljump.sdk.server.tests;

import org.junit.Test;

import com.ljump.sdk.common.TestLJumpResourceEdit;
import com.ljump.sdk.common.pages.response.ObjectFactory;
import com.ljump.sdk.common.pages.response.PageType;
import com.ljump.sdk.server.connection.ILJumpEditableResource;
import com.ljump.sdk.server.connection.ILJumpResourceMetadata;
import com.ljump.sdk.server.connection.impl.LJumpPageResource;
import com.ljump.sdk.server.connection.impl.LJumpResourceMetadata;
import com.ljump.sdk.server.connection.impl.LJumpServerConnection;

/**
 * Used for testing page-level operations
 * 
 * <br/><br/>
 * <table border="1">
 * 	<tr>
 * 	<th width="10%">Date (DD/MM/YYYY)</th>
 * 	<th width="10%">Author</th>
 * 	<th align="left">Description</th>
 * 	</tr>
 * 
 * 	<tr>
 * 	<td>Sep 21, 2010</td>
 * 	<td>Eclipse Inertia</td>
 * 	<td>Initial Creation</td>
 * 	</tr>
 * </table>
 */
public class TestLJumpPageEdit extends TestLJumpResourceEdit {

	@Test
    public void testSaveOnServer() throws Exception {
		checkSaveOnServer ("<%-- Comment added --%>\n");
    }
	
	
	@Test
    public void testFetchFromServer() throws Exception {
		checkFetchFromServer ();
    }
	
	
	@Test
    public void testDeleteFromServer() throws Exception {
		checkDeleteFromServer ();
    }
	
	
	protected ILJumpEditableResource<?> retrieveResource() throws Exception {
		return createConnection().fetchPages().getModel()[0];
		
	}


	@Override
	protected ILJumpEditableResource<?> retriveNewResource() throws Exception {
		
		PageType page = new ObjectFactory().createPageType();
		ILJumpResourceMetadata metadata = new LJumpResourceMetadata(true, 0);
		ILJumpEditableResource<PageType> resource = new LJumpPageResource((LJumpServerConnection)createConnection(), page, metadata); 
		
		page.setName("CustomPage.jsp");		
		page.setCode("<html></html>");
		return resource;
	}

}
